Subject: bug#48657: Defvar delimiter for dired-copy-filename-as-kill

From: Stefan Kangas <[email-masked]>
Date: Sun, 24 Oct 2021 07:27:19 -0700

Eli Zaretskii <[email-masked]> writes:

>> Perhaps we could just detect if any of filenames have spaces in them
>> and use null byte delimiters if they do?
>
> Or quote those that do?

Sure, that's another alternative.  We would need to decide which type of
quoting though, and I guess that will depend on what the user wants this
for.  For example, the quoting rules will be subtly different if the
user wants this for a shell script or for Emacs Lisp.  It seems
non-trivial to me.